All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filterandrank
Class PropertyLabelEnum

    com.sas.dataselectors.filterandrank.PropertyLabelEnum

Direct Known Subclasses:
  FilterAxisEnum, FilterOperatorEnum, FilterTypeEnum, RankOrderEnum, RankTypeEnum

    public class PropertyLabelEnum

Typesafe Enum class to represent a constant that has a localized property associated with it.

Constructor Summary
`protected` | `PropertyLabelEnum(java.lang.String name, java.lang.String propertyKey)` Creates a new Enum instance with the given name and property key.

Method Summary
`boolean` | `equals(java.lang.Object other)`
`protected static PropertyLabelEnum` | `findType(java.util.List types, java.lang.String name)` Convenience method for subclasses who must maintain their own private list.
`java.lang.String` | `getLabel(java.util.Locale locale)` Returns the localized property for this enum.
`java.lang.String` | `getLabel(com.sas.util.RBBase rb, java.util.Locale locale)` Returns the localized property for this enum.
`java.lang.String` | `getName()` Returns the internal name for this enum.
`java.lang.String` | `getPropertyKey()` Returns the property key for this enum.
`int` | `hashCode()`
`java.lang.String` | `toString()` Returns the internally used textual representation of the enum.

Constructor Detail

### PropertyLabelEnum

    protected PropertyLabelEnum(java.lang.String name,
                                java.lang.String propertyKey)

  Creates a new Enum instance with the given name and property key. The name is primarily for internal use and is not localized. The property key is used in combination with the locale to provide the resource.

  Parameters:
    `name` - the internal name for this enum
    `propertyKey` - the property key to use when retrieving the resource

Method Detail

### equals

    public final boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getName

    public final java.lang.String getName()

  Returns the internal name for this enum. This method is provided in case it ever becomes advantagous to have toString() return something other than simply the name.

  Returns:
    the name for this enum

### getPropertyKey

    public java.lang.String getPropertyKey()

  Returns the property key for this enum.

  Returns:
    the property key for this enum

### toString

    public java.lang.String toString()

  Returns the internally used textual representation of the enum.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a token for the enum

### getLabel

    public java.lang.String getLabel(java.util.Locale locale)

  Returns the localized property for this enum.

  Parameters:
    `locale` - the locale to use when getting the resource property
  Returns:
    the localized property

### getLabel

    public java.lang.String getLabel(com.sas.util.RBBase rb,
                                     java.util.Locale locale)

  Returns the localized property for this enum.

  Parameters:
    `rb` - the resource bundle util class to use when getting the resource property
    `locale` - the locale to use when getting the resource property
  Returns:
    the localized property

### findType

    protected static PropertyLabelEnum findType(java.util.List types,
                                                java.lang.String name)

  Convenience method for subclasses who must maintain their own private list.

  Parameters:
    `types` - the list of enums to search
    `name` - the name of the desired enum
  Returns:
    the enum by the given name, or null if one was not found

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.